set tez.queue.name=${TEZ_QUEUE}; 
-- Insert en la particion por Fecha de Evento, sin criterio de reinyectable en el WHERE Clause (Se mezclarian con los suscriptorizados)
insert into table ${DBNAME_EDW}.f_tr_contenido_detallada partition(fecha)
select 
ani_destino_cd,
fecha_mensaje_contenido_fh,
tipo_llamada_cd,
costo_llamada_euro_mo,
importe_inicial_mo,
importe_abono_mo,
importe_recarga_mo,
importe_promocion_mo,
importe_bolsa5_mo,
importe_bolsa6_mo,
importe_no_cargado_mo,
importe_iva_mo,
ani_origen_cd,
fecha_llamada_fe,
fecha_llamada_hr,
duracion_llamada_mo,
tecnologia_cd,
impuesto_categoria_mo,
proveedor_servicio_original_cd,
contenido_original_cd,
tipo_contenido_original_cd,
cid_cd,
deuda_mo,
nombre_archivo_de,
anio_mes_nr,
operadora_origen_id,
movil_fl,
fecha_inicio_mensaje_id,

ambito_registro_id,
ambito_red_id,
sentido_trafico_id,
moneda_tasacion_id,
acumulador_promo_trafico_id,
sistema_origen_id,
tramo_tarifario_id,
hora_inicio_mensaje_id,
operadora_destino_id,
proveedor_servicio_id,
contenido_trafico_id,
tipo_contenido_trafico_id,
tecnologia_acceso_id,
estado_valorizacion_id,

suscripcion_id ,
suscripcion_cd ,
interurbano_cd ,
urbano_cd ,
linea_cd ,
tipo_oferta_id ,
tipo_oferta_de ,
catalogo_producto_id ,
catalogo_producto_cd ,
catalogo_producto_de ,
geografia_cnc_id ,
geografia_cnc_cd ,
sub_alm_cd ,
alm_cd ,
sub_region_cnc_id ,
sub_region_cnc_de ,
region_cnc_id ,
region_cnc_de ,
flag_prepago_express_id ,
operadora_propietaria_id ,
operadora_propietaria_cd ,
operadora_propietaria_de ,
operadora_receptora_id ,
operadora_receptora_cd ,
operadora_receptora_de ,
operadora_donante_id ,
operadora_donante_cd ,
operadora_donante_de ,
flag_volte_id ,
flag_volte_cd ,
flag_volte_de ,
equipo_tecnologia_id ,
equipo_tecnologia_cd ,
equipo_tecnologia_de ,
equipo_utilizado_tecnologia_id ,
equipo_utilizado_tecnologia_cd ,
equipo_utilizado_tecnologia_de ,
catalogo_equipo_id ,
catalogo_equipo_cd ,
catalogo_equipo_de ,
estado_suscripcion_id ,
estado_suscripcion_cd ,
estado_suscripcion_de ,
fecha_estado_suscripcion_id ,
cliente_id ,
cliente_cd ,
sub_tipo_cliente_id ,
sub_tipo_cliente_cd ,
sub_tipo_cliente_de ,
tipo_cliente_id ,
tipo_cliente_cd ,
tipo_cliente_de ,
ciclo_facturacion_id ,
ciclo_facturacion_cd ,
ciclo_facturacion_de ,
score_economico_id ,
score_economico_cd ,
score_economico_de ,
operadora_larga_distancia_id ,
operadora_larga_distancia_cd ,
operadora_larga_distancia_de ,
cast(FROM_UNIXTIME(UNIX_TIMESTAMP(fecha_mensaje_contenido_fh,'yyyy-MM-dd HH:mm:ss'),'yyyyMMdd') as int) as fecha
from ${DBNAME_EDW}.f_tr_contenido_detallada_reinyect
where 
cast(FROM_UNIXTIME(UNIX_TIMESTAMP(fecha_mensaje_contenido_fh,'yyyy-MM-dd HH:mm:ss'),'yyyyMMdd') as int) <
cast(FROM_UNIXTIME(UNIX_TIMESTAMP('${CURRENT_DATE_N}','yyyyMMdd'),'yyyyMM01') as int);

DROP TABLE ${DBNAME_WRK_PROD}.f_tr_contenido_detallada_reinyect_temp;

CREATE TABLE ${DBNAME_WRK_PROD}.f_tr_contenido_detallada_reinyect_temp AS 
SELECT 
ani_destino_cd,
fecha_mensaje_contenido_fh,
tipo_llamada_cd,
costo_llamada_euro_mo,
importe_inicial_mo,
importe_abono_mo,
importe_recarga_mo,
importe_promocion_mo,
importe_bolsa5_mo,
importe_bolsa6_mo,
importe_no_cargado_mo,
importe_iva_mo,
ani_origen_cd,
fecha_llamada_fe,
fecha_llamada_hr,
duracion_llamada_mo,
tecnologia_cd,
impuesto_categoria_mo,
proveedor_servicio_original_cd,
contenido_original_cd,
tipo_contenido_original_cd,
cid_cd,
deuda_mo,
nombre_archivo_de,
anio_mes_nr,
operadora_origen_id,
movil_fl,
fecha_inicio_mensaje_id,

ambito_registro_id,
ambito_red_id,
sentido_trafico_id,
moneda_tasacion_id,
acumulador_promo_trafico_id,
sistema_origen_id,
tramo_tarifario_id,
hora_inicio_mensaje_id,
operadora_destino_id,
proveedor_servicio_id,
contenido_trafico_id,
tipo_contenido_trafico_id,
tecnologia_acceso_id,
estado_valorizacion_id,

suscripcion_id ,
suscripcion_cd ,
interurbano_cd ,
urbano_cd ,
linea_cd ,
tipo_oferta_id ,
tipo_oferta_de ,
catalogo_producto_id ,
catalogo_producto_cd ,
catalogo_producto_de ,
geografia_cnc_id ,
geografia_cnc_cd ,
sub_alm_cd ,
alm_cd ,
sub_region_cnc_id ,
sub_region_cnc_de ,
region_cnc_id ,
region_cnc_de ,
flag_prepago_express_id ,
operadora_propietaria_id ,
operadora_propietaria_cd ,
operadora_propietaria_de ,
operadora_receptora_id ,
operadora_receptora_cd ,
operadora_receptora_de ,
operadora_donante_id ,
operadora_donante_cd ,
operadora_donante_de ,
flag_volte_id ,
flag_volte_cd ,
flag_volte_de ,
equipo_tecnologia_id ,
equipo_tecnologia_cd ,
equipo_tecnologia_de ,
equipo_utilizado_tecnologia_id ,
equipo_utilizado_tecnologia_cd ,
equipo_utilizado_tecnologia_de ,
catalogo_equipo_id ,
catalogo_equipo_cd ,
catalogo_equipo_de ,
estado_suscripcion_id ,
estado_suscripcion_cd ,
estado_suscripcion_de ,
fecha_estado_suscripcion_id ,
cliente_id ,
cliente_cd ,
sub_tipo_cliente_id ,
sub_tipo_cliente_cd ,
sub_tipo_cliente_de ,
tipo_cliente_id ,
tipo_cliente_cd ,
tipo_cliente_de ,
ciclo_facturacion_id ,
ciclo_facturacion_cd ,
ciclo_facturacion_de ,
score_economico_id ,
score_economico_cd ,
score_economico_de ,
operadora_larga_distancia_id ,
operadora_larga_distancia_cd ,
operadora_larga_distancia_de ,
error_cd ,
reinyectable 
from ${DBNAME_EDW}.f_tr_contenido_detallada_reinyect
where 
cast(FROM_UNIXTIME(UNIX_TIMESTAMP(fecha_mensaje_contenido_fh,'yyyy-MM-dd HH:mm:ss'),'yyyyMMdd') as int) >=
cast(FROM_UNIXTIME(UNIX_TIMESTAMP('${CURRENT_DATE_N}','yyyyMMdd'),'yyyyMM01') as int);

insert overwrite table ${DBNAME_EDW}.f_tr_contenido_detallada_reinyect
select
ani_destino_cd,
fecha_mensaje_contenido_fh,
tipo_llamada_cd,
costo_llamada_euro_mo,
importe_inicial_mo,
importe_abono_mo,
importe_recarga_mo,
importe_promocion_mo,
importe_bolsa5_mo,
importe_bolsa6_mo,
importe_no_cargado_mo,
importe_iva_mo,
ani_origen_cd,
fecha_llamada_fe,
fecha_llamada_hr,
duracion_llamada_mo,
tecnologia_cd,
impuesto_categoria_mo,
proveedor_servicio_original_cd,
contenido_original_cd,
tipo_contenido_original_cd,
cid_cd,
deuda_mo,
nombre_archivo_de,
anio_mes_nr,
operadora_origen_id,
movil_fl,
fecha_inicio_mensaje_id,

ambito_registro_id,
ambito_red_id,
sentido_trafico_id,
moneda_tasacion_id,
acumulador_promo_trafico_id,
sistema_origen_id,
tramo_tarifario_id,
hora_inicio_mensaje_id,
operadora_destino_id,
proveedor_servicio_id,
contenido_trafico_id,
tipo_contenido_trafico_id,
tecnologia_acceso_id,
estado_valorizacion_id,

suscripcion_id ,
suscripcion_cd ,
interurbano_cd ,
urbano_cd ,
linea_cd ,
tipo_oferta_id ,
tipo_oferta_de ,
catalogo_producto_id ,
catalogo_producto_cd ,
catalogo_producto_de ,
geografia_cnc_id ,
geografia_cnc_cd ,
sub_alm_cd ,
alm_cd ,
sub_region_cnc_id ,
sub_region_cnc_de ,
region_cnc_id ,
region_cnc_de ,
flag_prepago_express_id ,
operadora_propietaria_id ,
operadora_propietaria_cd ,
operadora_propietaria_de ,
operadora_receptora_id ,
operadora_receptora_cd ,
operadora_receptora_de ,
operadora_donante_id ,
operadora_donante_cd ,
operadora_donante_de ,
flag_volte_id ,
flag_volte_cd ,
flag_volte_de ,
equipo_tecnologia_id ,
equipo_tecnologia_cd ,
equipo_tecnologia_de ,
equipo_utilizado_tecnologia_id ,
equipo_utilizado_tecnologia_cd ,
equipo_utilizado_tecnologia_de ,
catalogo_equipo_id ,
catalogo_equipo_cd ,
catalogo_equipo_de ,
estado_suscripcion_id ,
estado_suscripcion_cd ,
estado_suscripcion_de ,
fecha_estado_suscripcion_id ,
cliente_id ,
cliente_cd ,
sub_tipo_cliente_id ,
sub_tipo_cliente_cd ,
sub_tipo_cliente_de ,
tipo_cliente_id ,
tipo_cliente_cd ,
tipo_cliente_de ,
ciclo_facturacion_id ,
ciclo_facturacion_cd ,
ciclo_facturacion_de ,
score_economico_id ,
score_economico_cd ,
score_economico_de ,
operadora_larga_distancia_id ,
operadora_larga_distancia_cd ,
operadora_larga_distancia_de ,
error_cd ,
reinyectable 
from ${DBNAME_WRK_PROD}.f_tr_contenido_detallada_reinyect_temp;

DROP TABLE ${DBNAME_WRK_PROD}.f_tr_contenido_detallada_reinyect_temp;

---Se registra el cierre 

INSERT into table ${DBNAME_EDW_PROD_LOG}.LOG_CIERRE_DIM
SELECT 
'contenido' as MODO ,
cast(FROM_UNIXTIME(UNIX_TIMESTAMP(add_months('${CURRENT_DATE}',-1),'yyyy-MM-dd'),'yyyyMM') as int) as ANIOMES ,
'${CURRENT_DATE_N}' FECHA_EJECUCION 
from ${DBNAME_EDW_PROD_LOG}.LOG_CIERRE_DIM limit 1;



